# Entity access

## POST /api/v1/entity-access/actions/mark-processed

>

```json
{"openapi":"3.0.0","info":{"title":"TapRaise API","version":"v1"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"jwt","type":"http"}},"schemas":{"MarkEntitiesAsProcessedInput":{"type":"object","properties":{"entries":{"description":"List of entities to mark as processed","type":"array","items":{"$ref":"#/components/schemas/MarkEntitiesAsProcessedInputEntry"}}},"required":["entries"]},"MarkEntitiesAsProcessedInputEntry":{"type":"object","properties":{"entityName":{"type":"string","enum":["person","pledge","call","transaction"],"description":"The name of the entity you want to mark as processed."},"entityUuid":{"type":"string","format":"uuid","description":"UUID (v4). The entity's globally unique identifier in the system."},"externalSourceName":{"type":"string","description":"The name of the external source that the entity was processed in. Only provide this if your service account supports multiple external sources. If the case, ask TapRaise for the supported external sources."},"consumerIdentifier":{"type":"string","format":"uuid","description":"The unique identifier of this entity in your system. Used be able to create easy links between the systems."},"processedAt":{"type":"string","description":"ISO8601 timestamp of when the entity was processed."}},"required":["entityName","entityUuid","processedAt"]},"MarkEntitiesAsProcessedResult":{"type":"object","properties":{"errors":{"description":"List of errors that occurred during the processing of the entities","nullable":false,"type":"array","items":{"$ref":"#/components/schemas/MarkEntitiesAsProcessedResultError"}}},"required":["errors"]},"MarkEntitiesAsProcessedResultError":{"type":"object","properties":{"entityName":{"type":"string","description":"Supplied entity name of entry that failed to be processed","nullable":false},"entityUuid":{"type":"string","format":"uuid","description":"Supplied entity UUID of entry that failed to be processed","nullable":false},"consumerIdentifier":{"type":"string","description":"Supplied consumer identifier of entry that failed to be processed","nullable":false},"errorMessage":{"type":"string","description":"Error message that occurred during processing","nullable":false}},"required":["entityName","entityUuid","errorMessage"]}}},"paths":{"/api/v1/entity-access/actions/mark-processed":{"post":{"operationId":"MarkEntitiesAsProcessedRestController_execute","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkEntitiesAsProcessedInput"}}}},"responses":{"204":{"description":"Entities were marked as processed. No response body."},"400":{"description":"Bad request. Response body shows what the problems are per entry that failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkEntitiesAsProcessedResult"}}}},"401":{"description":"Service account not properly authenticated"},"403":{"description":"Service account forbids executing this action"}},"tags":["entityAccess"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tapraise.com/api/api-reference/entity-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
